<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
 <%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
 <html>
 
 <%@include file="header.html" %>
 
 <body>
 <f:view>
 <h:form id="changeProvidersForm" >
 <h:panelGrid columns="2" >
 
 <h:outputLabel value="Select Providers"/>
 <h:selectManyCheckbox
 	id="providers" immediate="true" value="#{appointmentManager.chosenProviders}"
 	>

 <f:selectItems id="selectProviders"   value="#{appointmentManager.selectProviders}"/>
 
 </h:selectManyCheckbox> 
 
 </h:panelGrid>
 
 <h:panelGrid columns="1">
 <h:commandButton value="update selected" action="appointmentsDay"></h:commandButton>
 
 
 <h:outputLabel value="Selected Providers"/>
 </h:panelGrid>
 
 <h:dataTable var="provItem" value="#{appointmentManager.selectedProviders}">
 <h:column>
 <h:outputText value="#{provItem.name}"/>
 </h:column>
 <h:column>
  <h:outputText value="#{provItem.id}"/>
 </h:column>
 
 </h:dataTable>
 </h:form>
 
 <h:form id="changeDateForm">
 <h:panelGrid columns="1">
 <h:panelGroup>
 
 <h:commandLink value="back a month" 
 	action="#{appointmentManager.rollMonthBackward}"
 />
 
 <h:outputLabel value="|"/> 
 
 <h:commandLink value="back a week" 
 	action="#{appointmentManager.rollWeekBackward}"
 />
 
 <h:outputLabel value="|"/> 
 
 <h:commandLink value="back a day"
 	action="#{appointmentManager.rollDayBackward}"/>
 
 <h:outputLabel value="|"/> 
  
 <h:outputText value="#{appointmentManager.book.currentDate}"></h:outputText>
 
 <h:outputLabel value="|"/> 
 
 <h:commandLink 
 value=" forward a day" 
 action="#{appointmentManager.rollDayForward}"
 />
 
 <h:outputLabel value="|"/> 
 
 <h:commandLink value="forward a week"
  action="#{appointmentManager.rollWeekForward}"/> 
 
 <h:outputLabel value="|"/> 
 
 <h:commandLink value="forward a month" 
 action="#{appointmentManager.rollMonthForward}"  />
 
 </h:panelGroup> 
 
 <h:commandButton value="reset today" 
 action="#{appointmentManager.setToday}"/>
 
 
 </h:panelGrid>
 
 
 </h:form>
 
 <h:form id="ApptForm">
 
 
  <t:dataTable id="outerTable1" rows="1" var="x" value="#{appointmentManager.book.oneRowCurrentAppointments}"
  	> 
  <t:columns  var="provAppt" value="#{appointmentManager.book.currentAppointments}"
  	 >
  	 
  	<t:panelGrid columns="1">
  	<t:outputLabel value="#{provAppt.provider.name}" />
  	<t:dataTable  id="innerTable1" 
  		var="slot" value="#{provAppt.appointmentSlots}">
  		<t:column >
  		<t:panelGrid columns="2" 
  		cellpadding="1" align="left" width="40"  >
  		<h:commandLink  value="#{slot.start}" action="addAppointment"></h:commandLink>
  		 
  		<t:inputText styleClass="#{slot.viewClass}" align="right" immediate="true" value="#{slot.appointment.name}" />
  		 
  		 </t:panelGrid>
  		</t:column>
  		
  	</t:dataTable>
  	</t:panelGrid>
  
  </t:columns>
  </t:dataTable>
  
 
 </h:form>
 
 
 <h:commandLink 
 	value="back to Main" 
 	action="mainAppointment"
  	immediate="true"/>
 
 </f:view>
 </body>
 </html>