<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:view>

<h:form id="addProviderForm">
  <h:panelGrid id="grid" columns="2">
    <h:outputText id="output1" value="Provider Name"/>
    <h:inputText id="input1" value="#{provider.name}" required="true"/>
    <h:outputText id="output2" value="Provider Id"/>
    <h:inputText id="input2" value="#{provider.id}" required="true"/>
   
    <h:commandButton id="button1" value="add provider" action="#{appointmentManager.addProvider}"/>
    <h:message id="message1" for="input1"/>
  </h:panelGrid>

 <h:dataTable id="providerTable" var="provItem" value="#{appointmentManager.book.providers}" >
 <h:column>
 <h:outputText value="#{provItem.id}"></h:outputText>
 </h:column>
 <h:column>
 <h:outputText value="#{provItem.name}"></h:outputText>
 </h:column>
 </h:dataTable>
  <h:commandLink immediate="true" value="back to main" action="mainAppointment"></h:commandLink>		    
</h:form>
</f:view>